Page MenuHomePhabricator

Hotcat gadget shows edit conflict when trying to edit categories right after editing File captions
Open, Needs TriagePublic

Description

When adding captions, and then editing categories with Hotcats creates an edit conflict. The page has to be reloaded before.

Event Timeline

Yann created this task.Jan 10 2019, 5:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2019, 5:36 PM

Note that even by forcing the edition, the "caption" is not removed despite the warning

Jdforrester-WMF renamed this task from Edit conflict when adding captions, and then a category with Hotcats to Hotcat gadget needs to be fixed to avoid an edit conflict after editing File captions.Jan 12 2019, 9:15 PM

@Jdforrester-WMF Hotcat worked very well until the Captions were added. The issue could be solved forcing a page reload after editing Captions.

Yann renamed this task from Hotcat gadget needs to be fixed to avoid an edit conflict after editing File captions to Caption feature needs to be fixed to avoid an edit conflict with the Hotcat gadget.Jan 13 2019, 10:28 AM
Keegan renamed this task from Caption feature needs to be fixed to avoid an edit conflict with the Hotcat gadget to Hotcat gadget needs to be fixed to avoid an edit conflict after editing File captions.Jan 17 2019, 8:24 PM
Keegan added a subscriber: Keegan.

@Jdforrester-WMF Hotcat worked very well until the Captions were added. The issue could be solved forcing a page reload after editing Captions.

Captions may have introduced a regressive bug in HotCat, but the issue remains that the bug is within HotCat. Re-titling the task is inappropriate as it does nothing to fix the underlying problem, which is with HotCat.

Yann added a comment.Jan 18 2019, 3:16 PM

@Keegan As I said above, there is a very simple fix: force page reload after editing captions.

@Keegan As I said above, there is a very simple fix: force page reload after editing captions.

I'm not an engineer, but that doesn't sounds like a good solution at all. As an end user, I would be startled and concerned if there was a forced page reload, that's not behavior you find on MediaWiki. Such a solution would be a hack of captions, not a fix of Hotcat.

Note that when you save an edit on a page then the page is reloaded, example if youadd a category with Hotcat, then the page is reloaded. Therefore it will not be extraordinarily shocking that a file page be reloaded after you have clicked on "Publish change" inside the caption box. IMO

Aklapper renamed this task from Hotcat gadget needs to be fixed to avoid an edit conflict after editing File captions to Hotcat gadget shows edit conflict when trying to edit categories right after editing File captions.Jul 20 2019, 12:18 PM